English
Appearance
https://api.repliz.com/public/comment/{commentId}
Send a reply to a comment stored in Repliz, optionally with an image. The reply is posted directly to the original platform where the comment was made.
Authorization: Basic Base64(AccessKey:SecretKey)
commentId
string
_id
text
image
resolved
object
The same format as the Image Object of Send Message.
url
mimetype
image/jpeg
image/png
thumbnail
The image is sent by URL
The url must be public and point straight at the file. You can host the image in Repliz Storage, see the Storage Upload guide.
{ "text": "Thank you for your comment!", "image": { "url": "https://storage.repliz.com/uploads/repliz-thank-you.png", "thumbnail": "https://storage.repliz.com/uploads/repliz-thank-you-thumbnail.png", "mimetype": "image/png" } }
curl -X POST "https://api.repliz.com/public/comment/680affa5ce12f2f72916f67e" \ -H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)" \ -H "Content-Type: application/json" \ -d '{ "text": "Thank you for your comment!" }'
import axios from 'axios'; const commentId = '680affa5ce12f2f72916f67e'; const response = await axios.post( `https://api.repliz.com/public/comment/${commentId}`, { text: 'Thank you for your comment!', }, { auth: { username: 'YOUR_ACCESS_KEY', password: 'YOUR_SECRET_KEY', }, }, ); console.log(response.data);
const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY'); const commentId = '680affa5ce12f2f72916f67e'; const response = await fetch(`https://api.repliz.com/public/comment/${commentId}`, { method: 'POST', headers: { Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json', }, body: JSON.stringify({ text: 'Thank you for your comment!', }), }); const data = await response.json(); console.log(data);
{ "commentId": "942538351814577_1677536300098026" }
{ "code": 404, "message": "comment not found" }
{ "code": 401, "message": "unauthorized" }
Reply Comment
https://api.repliz.com/public/comment/{commentId}Send a reply to a comment stored in Repliz, optionally with an image. The reply is posted directly to the original platform where the comment was made.
Endpoint Details
Authorization: Basic Base64(AccessKey:SecretKey))Parameters
commentIdstring_idfrom Get Comment.Request Body
textstringimageis attached. The comment is set toresolvedafter the reply is sent.imageobjecttext. See Image Object.Image Object
The same format as the Image Object of Send Message.
urlstringmimetypestringimage/jpegorimage/png.thumbnailstringtextis posted.textis posted.The image is sent by URL
The
urlmust be public and point straight at the file. You can host the image in Repliz Storage, see the Storage Upload guide.Example Request
Response